000032344 - RSA Security Analytics - Puppet agent -t fails with "/etc/puppet/scripts/sshdcnf.py returned 1 instead of one of [0]"

Document created by RSA Customer Support Employee on Jun 30, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000032344
Applies ToRSA Product Set: Security Analytics
RSA Version/Condition: 10.4 and higher
IssueA run of puppet agent -t fails with the following error condition:
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts in /var/lib/puppet/lib/facter/ca_cert_hash.rb
Info: Loading facts in /var/lib/puppet/lib/facter/ip6tables_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/management_interface.rb
Info: Loading facts in /var/lib/puppet/lib/facter/node_cert_hash.rb
Info: Loading facts in /var/lib/puppet/lib/facter/java_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/iptables_persistent_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/node_id.rb
Info: Loading facts in /var/lib/puppet/lib/facter/java_patch_level.rb
Info: Loading facts in /var/lib/puppet/lib/facter/pe_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/java_major_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/puppet_vardir.rb
Info: Loading facts in /var/lib/puppet/lib/facter/facter_dot_d.rb
Info: Loading facts in /var/lib/puppet/lib/facter/root_home.rb
Info: Loading facts in /var/lib/puppet/lib/facter/iptables_version.rb
Info: Caching catalog for XXXXXXXXX-XXXXXXXXXX
Info: Applying configuration version 'XXXXXXXXX"
Notice: /Stage[main]/Ssh/Exec[fix-ssh]/returns: Error: Could not execute posix command: No such file or directory - /etc/puppet/scripts/sshdcnf.py
Error: /etc/puppet/scripts/sshdcnf.py returned 1 instead of one of [0]
Error: /Stage[main]/Ssh/Exec[fix-ssh]/returns: change from notrun to 0 failed: /etc/puppet/scripts/sshdcnf.py returned 1 instead of one of [0]
Notice: /Stage[main]/Yumconfig/Exec[disable-Centos-Repos]/returns: executed successfully
Notice: /Stage[main]/Yumconfig/Package[rsa-sa-gpg-pubkeys]/ensure: created
Notice: Finished catalog run in 30.93 seconds
 
CauseThis indicates that the puppet script, /etc/puppet/script/sshdcnf.py is unusable in its current format. The script may be corrupt, incomplete, have incorrect permissions or is otherwise unusable.
ResolutionExamine the file /etc/puppet/scripts/sshdcnf.py.  
The script permissions should be 755, owned by root with group ownership of root.  
Ensure in VI that the script does not contain any incorrect control characters (which can be seen with :set list). It is possible that the script may need to be converted to file type unix.  
To do this in VI, execute :set ff=unix
Save the file and attempt the puppet run again.  
 

Attachments

    Outcomes